curl --request GET \
--url https://astreus.ai/api/v1/transcripts/topic-trends \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/transcripts/topic-trends"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/transcripts/topic-trends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/transcripts/topic-trends",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/transcripts/topic-trends"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/transcripts/topic-trends")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/transcripts/topic-trends")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"topic": {
"id": "ai",
"label": "AI & machine learning",
"terms": [
"AI",
"artificial intelligence"
]
},
"asOf": "2026-10-30",
"available": [
{
"start": "2020-01-01",
"label": "Q1 2020"
},
{
"start": "2020-04-01",
"label": "Q2 2020"
}
],
"quarters": [
{
"start": "2024-10-01",
"label": "Q4 2024"
},
{
"start": "2025-01-01",
"label": "Q1 2025"
}
],
"rankQuarter": {
"start": "2026-07-01",
"label": "Q3 2026"
},
"series": [
{
"start": "2024-10-01",
"label": "Q4 2024",
"mentions": 1818,
"companies": 502,
"callsMentioning": 505,
"callsHeld": 1332
},
{
"start": "2025-01-01",
"label": "Q1 2025",
"mentions": 2294,
"companies": 609,
"callsMentioning": 617,
"callsHeld": 1424
}
],
"total": 1350,
"offset": 0,
"companies": [
{
"cik": "0000813672",
"ticker": "CDNS",
"name": "Cadence Design Systems, Inc.",
"countryCode": "US",
"mentions": [
11,
7
],
"total": 121,
"callsMentioning": 7,
"callsHeld": 7
},
{
"cik": "0001067491",
"ticker": "INFY",
"name": "Infosys Limited",
"countryCode": "IN",
"mentions": [
11,
14
],
"total": 154,
"callsMentioning": 8,
"callsHeld": 8
}
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Topic trends on calls
One curated topic’s mentions on earnings calls: the quarterly trend and the companies ranked by mentions in the latest quarter, paged (total, limit, offset, hasMore, nextOffset). A topic not counted recently answers 503 upstream_unavailable with Retry-After while the count runs (a cold count reads every call since 2020); retry then.
curl --request GET \
--url https://astreus.ai/api/v1/transcripts/topic-trends \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/transcripts/topic-trends"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/transcripts/topic-trends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/transcripts/topic-trends",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/transcripts/topic-trends"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/transcripts/topic-trends")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/transcripts/topic-trends")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"topic": {
"id": "ai",
"label": "AI & machine learning",
"terms": [
"AI",
"artificial intelligence"
]
},
"asOf": "2026-10-30",
"available": [
{
"start": "2020-01-01",
"label": "Q1 2020"
},
{
"start": "2020-04-01",
"label": "Q2 2020"
}
],
"quarters": [
{
"start": "2024-10-01",
"label": "Q4 2024"
},
{
"start": "2025-01-01",
"label": "Q1 2025"
}
],
"rankQuarter": {
"start": "2026-07-01",
"label": "Q3 2026"
},
"series": [
{
"start": "2024-10-01",
"label": "Q4 2024",
"mentions": 1818,
"companies": 502,
"callsMentioning": 505,
"callsHeld": 1332
},
{
"start": "2025-01-01",
"label": "Q1 2025",
"mentions": 2294,
"companies": 609,
"callsMentioning": 617,
"callsHeld": 1424
}
],
"total": 1350,
"offset": 0,
"companies": [
{
"cik": "0000813672",
"ticker": "CDNS",
"name": "Cadence Design Systems, Inc.",
"countryCode": "US",
"mentions": [
11,
7
],
"total": 121,
"callsMentioning": 7,
"callsHeld": 7
},
{
"cik": "0001067491",
"ticker": "INFY",
"name": "Infosys Limited",
"countryCode": "IN",
"mentions": [
11,
14
],
"total": 154,
"callsMentioning": 8,
"callsHeld": 8
}
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Authorizations
Astreus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Query Parameters
Curated topic id.
ai, tariffs, rates, energy First day of the first quarter shown (the quarter holding it); default the latest eight quarters, YYYY-MM-DD.
Last day of the last quarter shown (the quarter holding it), YYYY-MM-DD.
Company name or ticker contains; at most 80 characters.
ISO alpha-2 codes, comma-separated.
CIKs or platform keys, comma-separated.
Tickers, comma-separated, at most 200.
Companies to skip.
x >= 0Companies per page.
1 <= x <= 100Response
OK
Inferred from captured responses: every field shown was returned by a real call; a field may be absent or null on other calls.